org.eclipse.microprofile.rest.client.inject

## Annotation Type RegisterRestClient

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=TYPE)
     @Stereotype
     @Dependent
    public @interface RegisterRestClient

A marker annotation to register a rest client at runtime. This marker must be applied to any CDI managed clients. Note that the annotated interface indicates a service-centric view. Thus users would invoke methods on this interface as if it were running in the same VM as the remote service.

### Optional Element Summary

Optional Elements
`String` `baseUri` Sets the base URI for the rest client interface.
`String` `configKey` Associates the annotated rest client interface with this configuration key.

### Element Detail

#### baseUri

    public abstract String baseUri

Sets the base URI for the rest client interface. This value will be used for the URI unless it is overridden by MicroProfile Config.

Returns:
  the base URI for annotated client interface. An empty value indicates that the base URI must be specified in MicroprofileConfig.
Since:
  1.2

Default:
  ""

#### configKey

    public abstract String configKey

Associates the annotated rest client interface with this configuration key. By specifying a non-empty value, this interface can be configured more simply using the configuration key rather than the fully-qualified class name of the interface.

Returns:
  the configuration key in use by this client interface. An empty value means that this interface is not associated with a configuration key.
Since:
  1.3

Default:
  ""